<?
# Текстовая онлай игра "Тюряга" for DCMS 6.6.4
# Автор spamerBoy
# Ацка 551 514 865

# подключаем файлы
include_once '../../sys/inc/start.php';
include_once '../../sys/inc/compress.php';
include_once '../../sys/inc/sess.php';
include_once '../../sys/inc/home.php';
include_once '../../sys/inc/settings.php';
include_once '../../sys/inc/db_connect.php';
include_once '../../sys/inc/ipua.php';
include_once '../../sys/inc/fnc.php';
include_once '../../sys/inc/user.php';

# функции
include_once '../function.php';

# заголовок
$set['title']='Работа';

# шапка
include_once '../../sys/inc/thead.php';
title();
aut();

# существует сесия - продолжим
if (isset($user)){

# если перс свободный и время вышло - продолжим
if($user['zona_work_time']<time() && $user['zona_work'] == 0 ) {

# обновим в бд время на 12 часов 
mysql_query("UPDATE `user` SET `zona_work_time`='".(time()+43200)."' ,`zona_work`='1' WHERE `id`='".$user['id']."'");

# покажем скрин
echo '<div class="zona_rekl"><img src="../img/game_start_step7_end.gif" alt="*" /></div>';

# текст
echo '<div class="zona_menu">
Ок .<br/>
Ты будешь находится на работе 12 часов .<br/>
Когда время выйдет , приходи ко мне в "Петушок" , получиш свое лаве .<br/>
А теперь быстро вали работать .
</div>';
echo '<div class="zona_rekl"><img src="../img/icon/icon_geo_city.png" alt="*" /> <a href="index.php"> Вернутся во двор</a></div>';
}

else{

# покажем скрин
echo '<div class="zona_rekl"><img src="../img/game_start_step7_end.gif" alt="*" /></div>';

# текст
echo '<div class="zona_menu">
Стоять !!!<br/>
Ты чего сюда полез  ???<br/>
Закончиш через '.maketime($user['zona_work_time']-time()).' , прийдешь за бабками .
</div>';
echo '<div class="zona_rekl"><img src="../img/icon/icon_geo_city.png" alt="*" /> <a href="index.php"> Вернутся во двор</a></div>';

}
}

# закроем от гостей
else{
echo '<div class="msg">Игра доступна только для авторизованых пользователей!</div>';
}
include_once '../../sys/inc/tfoot.php';
?>
